Statutory Calculations
Get calculationsemployees history
GET
/
calculations
/
employees
/
{employeeId}
/
history
cURL
curl --request GET \
--url https://api.sandbox.flowpayroll.ai/v1/statutory-pay/calculations/employees/{employeeId}/history \
--header 'X-Auth-Token: <api-key>' \
--header 'X-Org-Id: <api-key>'import requests
url = "https://api.sandbox.flowpayroll.ai/v1/statutory-pay/calculations/employees/{employeeId}/history"
headers = {
"X-Auth-Token": "<api-key>",
"X-Org-Id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Auth-Token': '<api-key>', 'X-Org-Id': '<api-key>'}};
fetch('https://api.sandbox.flowpayroll.ai/v1/statutory-pay/calculations/employees/{employeeId}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": {
"text": "<string>",
"token": "<string>",
"tokenArguments": [
{
"name": "<string>",
"value": null
}
]
},
"content": {
"data": {
"employeeId": "<string>",
"sicknessChains": [
{
"chainId": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"totalWeeksUsed": 123,
"remainingWeeks": 123,
"periods": [
{
"id": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"totalAmount": 123,
"averageEarnings": 123,
"relevantPeriodEarnings": [
{
"payDate": "<string>",
"amount": 123,
"description": "<string>"
}
],
"dailyBreakdown": [
{
"date": "<string>",
"amount": 123,
"description": "<string>",
"isLinked": true
}
]
}
]
}
],
"otherPayments": [
{
"id": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"totalAmount": 123,
"averageEarnings": 123,
"relevantPeriodEarnings": [
{
"payDate": "<string>",
"amount": 123,
"description": "<string>"
}
],
"dailyBreakdown": [
{
"date": "<string>",
"amount": 123,
"description": "<string>",
"isLinked": true
}
]
}
]
},
"metadata": {
"dateFormat": "<string>",
"dateTimeFormat": "<string>",
"paginationToken": "<string>"
}
},
"validationIssues": [
{
"field": "<string>",
"reason": "<string>",
"reasonToken": "<string>",
"reasonTokenArguments": [
{
"name": "<string>",
"value": null
}
]
}
]
}{
"message": {
"text": "<string>",
"token": "<string>",
"tokenArguments": [
{
"name": "<string>",
"value": null
}
]
},
"content": {
"data": null,
"metadata": {
"dateFormat": "<string>",
"dateTimeFormat": "<string>",
"paginationToken": "<string>"
}
},
"validationIssues": [
{
"field": "<string>",
"reason": "<string>",
"reasonToken": "<string>",
"reasonTokenArguments": [
{
"name": "<string>",
"value": null
}
]
}
]
}Authorizations
Authentication token for API access
Organisation to scope the request to. Required when the principal can access more than one organisation; optional for single-organisation principals (the authorizer resolves it automatically).
Path Parameters
Was this page helpful?
⌘I
cURL
